import * as plugins from './sdk.plugins';
import { AuthInfo } from './sdk.classes.authinfo';

export abstract class AAgHandler<TClaim> {
  /**
   * a slug that separates the handler from other handlers
   */
  public abstract slug: string;

  public abstract handleRequest (authInfoArg: AuthInfo<TClaim>, request: plugins.tsclass.network.ISimpleRequest): Promise<plugins.tsclass.network.ISimpleResponse>;
}